Subject: bug#4153: sentence-end properly constructed now?

From: Glenn Morris <[email-masked]>
Date: Fri, 28 Aug 2009 00:11:48 -0400

Dave =?UTF-8?Q?T=C3=A4ht wrote:

> I am curious if this bug resolves the problem I was encountering with
> sentence-forward and sentence-backward in the post 22 versions of emacs
> I have had available to me. 
>
> I also ran into it in http://www.emacswiki.org/emacs/auto-capitalize.el 
> which irked me enough to try and find the cause of the problem. 

No, it is totally unrelated.

Your issue is explained in the NEWS for Emacs 22, and in the documentation
of the variable sentence-end:

  The value nil means to use the default value defined by the
  function `sentence-end'.  You should always use this function
  to obtain the value of this variable.

So auto-capitalize should use sentence-end the function, not the variable.

> ;; The reason why this code bit is failing is that sentence-end is not
> ;; getting constructed for some reason in paragraphs.el: 
>
> ;; (message "%s" sentence-end) ;; returns null in the post 22 versions of emacs I tried.